//
//  setup_spindle_dlg.cpp - setup spindle dialog class implementation
//
//  $Id: setup_spindle_dlg.cpp 1 2007-04-15 22:52:37Z brian $ 
//
//  Copyright (c) 1999-2007 by Precision Micro Control Corp. All rights reserved.
//
#include "stdafx.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

//
// CSetupSpindleDlg dialog
//
CSetupSpindleDlg::CSetupSpindleDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CSetupSpindleDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSetupSpindleDlg)
	m_SpindleAxisNum = 0;
	m_SpindleAccel = "";
	m_SpindleDecel = "";
	m_SpindleMode = "";
	m_SpindlePolarity = "";
	m_SpindleSpeed = "";
	m_SpindleScale = "";
	m_SpindleConstant = "";
	//}}AFX_DATA_INIT
}

void CSetupSpindleDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSetupSpindleDlg)
	DDX_Text(pDX, IDC_SPINDLEAXISNUM, m_SpindleAxisNum);
	DDV_MinMaxInt(pDX, m_SpindleAxisNum, 0, 6);
	DDX_Text(pDX, IDC_SPINDLE_ACCEL, m_SpindleAccel);
	DDX_Text(pDX, IDC_SPINDLE_DECEL, m_SpindleDecel);
	DDX_CBString(pDX, IDC_SPINDLE_MODE, m_SpindleMode);
	DDX_CBString(pDX, IDC_SPINDLE_POLARITY, m_SpindlePolarity);
	DDX_Text(pDX, IDC_SPINDLE_SPEED, m_SpindleSpeed);
	DDX_Text(pDX, IDC_SPINDLE_SCALE, m_SpindleScale);
	DDX_Text(pDX, IDC_SPINDLE_CONSTANT, m_SpindleConstant);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CSetupSpindleDlg, CDialog)
	//{{AFX_MSG_MAP(CSetupSpindleDlg)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CSetupSpindleDlg message handlers
